Page MenuHomePhabricator

Templatize Special:Contributions lines and add proper hooks
Closed, ResolvedPublic

Description

We need special contribution in a better state for extensions.

Event Timeline

awight created this task.Dec 28 2015, 8:17 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added subscribers: Ladsgroup, He7d3r, Aklapper and 2 others.

Change 264608 had a related patch set uploaded (by Awight):
[WIP] Filter out non-damaging changes in Special:Contributions

https://gerrit.wikimedia.org/r/264608

Change 266660 had a related patch set uploaded (by Awight):
Adds filter to Special:Contributions

https://gerrit.wikimedia.org/r/266660

Change 266662 had a related patch set uploaded (by Awight):
[WIP] Templatize Special:Contributions lines

https://gerrit.wikimedia.org/r/266662

Change 266660 abandoned by Awight:
Adds filter to Special:Contributions

https://gerrit.wikimedia.org/r/266660

Change 266670 had a related patch set uploaded (by Awight):
Add hook to modify Special:Contributions lines

https://gerrit.wikimedia.org/r/266670

awight moved this task from Backlog to Review on the Scoring-platform-team (Current) board.
Halfak assigned this task to Ladsgroup.Feb 20 2016, 4:57 PM
Ladsgroup reassigned this task from Ladsgroup to awight.Feb 20 2016, 7:25 PM

I'm definitely monitoring this but the main is being done by Adam :)

Change 266662 merged by jenkins-bot:
Templatize Special:Contributions lines

https://gerrit.wikimedia.org/r/266662

Change 278841 had a related patch set uploaded (by Ladsgroup):
Re-introduce "Templatize Special:Contributions lines"

https://gerrit.wikimedia.org/r/278841

Halfak reassigned this task from awight to Ladsgroup.Mar 22 2016, 3:53 PM
Ladsgroup renamed this task from Integrate ORES extension with Special:Contributions to Templatize Special:Contributions lines and add proper hooks.Apr 11 2016, 6:15 PM
Ladsgroup updated the task description. (Show Details)

Change 278841 merged by jenkins-bot:
Re-introduce "Templatize Special:Contributions lines"

https://gerrit.wikimedia.org/r/278841

We need this merged too: https://gerrit.wikimedia.org/r/#/c/266670 it looks much simpler

Change 266670 merged by jenkins-bot:
Add hook to modify Special:Contributions lines

https://gerrit.wikimedia.org/r/266670

Ladsgroup closed this task as Resolved.Jun 21 2016, 4:12 PM

Change 264608 merged by jenkins-bot:
Integrate with Special:Contributions

https://gerrit.wikimedia.org/r/264608